#
# Simple Atari-specific makefile for GNU zip v1.0.3 and GCC.
#

BASIC_FLAGS = -O2 -D__STDC__ -DDIRENT -DSTDC_HEADERS -DHAVE_UNISTD_H -DHAVE_UTIME_H -DHAVE_STRING_H
TOSFS_FLAGS = -DNO_SYMLINK -DNO_MULTIPLE_DOTS -DNO_CHOWN

# CFLAGS for building a Minix-filesystem version
CFLAGS = $(BASIC_FLAGS)

# CFLAGS for building a TOS-filesystem version
#CFLAGS = $(BASIC_FLAGS) $(TOSFS_FLAGS)

OBJS = alloca.o bits.o crypt.o deflate.o getopt.o gzip.o inflate.o lzw.o trees.o unlzw.o unpack.o unzip.o util.o zip.o

gzip:	$(OBJS)
	gcc -o $@ $(OBJS)
